// test.cpp - Adquisición de recursos
#include <iostream>
#include "cvector.h"
using namespace std;

int main()
{
  int i = 0, n = 3;
  CVector *vector1;
  try
  {
    // Adquirir el recurso
    vector1 = new CVector(n);
    vector1->iniciar();
    // Operar con el recurso
    for (i = 0; i < vector1->longitud(); i++)
      (*vector1)[i] = i * 3;
    CVector vector2 = *vector1;
    for (i = 0; i < vector1->longitud(); i++)
      cout << vector2[i] << " ";
    cout << endl;
    // Liberar el recurso
    delete vector1;
  }
  catch(...)
  {
    cout << "excepción inesperada\n";
    system("pause");
    return -1;
  }
  // Otras operaciones
  system("pause");
}
